Topic
IC4NOTICE: developerWorks Community will be offline May 29-30, 2015 while we upgrade to the latest version of IBM Connections. For more information, read our upgrade FAQ.
17 replies Latest Post - ‏2012-12-29T02:39:08Z by Mittal1985
reachman_2009
reachman_2009
2 Posts
ACCEPTED ANSWER

Pinned topic WID 7.0 Installation Error

‏2010-06-25T12:15:05Z |
Hi All,
I am facing some error while installing WID7.0 using IBM Installation Manager. In this version Installation manager offers three parts 1) Websphere Integration Developer 2) Wesbphere Applcation Server 3) Websphere Test Environemnt. We need to install all three seperatly.

I have done 1. WID installation successfully.
When i click 2. Install Webpshere Test Environment after all steps before start the installation It showing the below error
"Packages IBM Websphere Process Server 7.0.0.0 and IBM Webpshere Integration Developer 7.0.0.0 cannot coexist in the same package group."
But i have followed the same steps explained in Installation document. Like moved all the folders into same folder and have given different folder stucture for Installation Directory & Shared Resource Directory. Package Group Name is "IBM Websphere Integration Developer".

Any idea why i am getting this error? Thanks in advance.
Updated on 2012-12-29T02:39:08Z at 2012-12-29T02:39:08Z by Mittal1985
  • RajuJ
    RajuJ
    6 Posts
    ACCEPTED ANSWER

    Re: WID 7.0 Installation Error

    ‏2010-06-29T12:44:42Z  in response to reachman_2009
    Hi,
    If you have uninstalled your older version, then make sure to remove the registries in "regedit".
    • MuneerJahangeer
      MuneerJahangeer
      5 Posts
      ACCEPTED ANSWER

      Re: WID 7.0 Installation Error

      ‏2010-07-22T06:09:04Z  in response to RajuJ
      I am also facing the same issue (reachman ). Please help me on this.
  • JaspreetSingh
    JaspreetSingh
    4 Posts
    ACCEPTED ANSWER

    Re: WID 7.0 Installation Error

    ‏2010-07-22T06:43:39Z  in response to reachman_2009
    This happens usually when you select the default path provided for installing WID.

    When installing change it to C:\IBM from C:\ProgramFiles....

    You should be able to avoid this error once you change the default path.
    • MuneerJahangeer
      MuneerJahangeer
      5 Posts
      ACCEPTED ANSWER

      Re: WID 7.0 Installation Error

      ‏2010-07-22T06:55:03Z  in response to JaspreetSingh
      Thanks for you reply...

      Yes, I changed to C:\Program files from C:\IBM..

      Here are the steps, i have followed.

      1. Installed IBM Installtion Manager
      2. Installed Websphere Integration Developer.
      3. Installed Websphere Application server using below command line (which i taken from process exp)
      setup.jar -silent -OPT silentInstallLicenseAcceptance=true -OPT allowNonRootSilentInstall=true -OPT disableOSPrereqChecking=true -OPT disableNonBlockingPrereqChecking=true -OPT installType=installNew -OPT profileType=none -OPT feature=samplesSelected -OPT feature=languagepack.console.all -OPT feature=languagepack.server.all -OPT installLocation="C:\Program Files\ibm\WID7_WTE/runtimes/bi_v7"
      4. I tried installing TEST ENVIRONMENT, it doesn't allow me install and throws me an error "IBM webshpere process server and ibm websphere integration developer cannot coexist in the same package group"

      Even, i tried using below command line, but no luck.

      install.exe -ws win32 -os win32 -arch x86 -accessRights admin --launcher.library "C:\Program Files\ibm\Installation Manager\eclipse\plugins\org.eclipse.equinox.launcher.win32.win32.x86_1.0.200.v20090306-1900" -startup "C:\Program Files\ibm\Installation Manager\eclipse\plugins\org.eclipse.equinox.launcher_1.0.200.v20090520.jar" -accessRights admin -input @osgi.install.area\install.xml -input "D:\Media\WID7.0\WTE_Disk\IM_win32\post-install.xml" -vm "C:\Program Files\ibm\Installation Manager\eclipse\jre_5.0.3.sr8a_20080811b\jre\bin\j9vm\jvm.dll" -vmargs "-Dcic.agentRelaunched=D:\Media\WID7.0\WTE_Disk\IM_win32" installLocation="C:\Program Files\ibm\WID7_Test" -Xquickstart -Xgcpolicy:gencon

      Kindly help me on this.
      • JaspreetSingh
        JaspreetSingh
        4 Posts
        ACCEPTED ANSWER

        Re: WID 7.0 Installation Error

        ‏2010-07-22T06:58:02Z  in response to MuneerJahangeer
        You need to change it to C:\IBM and no tthe other way around, your root folder for WID should go into C:\IBM
        • MuneerJahangeer
          MuneerJahangeer
          5 Posts
          ACCEPTED ANSWER

          Re: WID 7.0 Installation Error

          ‏2010-07-22T07:15:48Z  in response to JaspreetSingh
          Do you have a command line to change the Installtion directory for Websphere Test Environment?
          • JaspreetSingh
            JaspreetSingh
            4 Posts
            ACCEPTED ANSWER

            Re: WID 7.0 Installation Error

            ‏2010-07-22T07:22:00Z  in response to MuneerJahangeer
            no i dont have it , you wil have to unistall wid first and the re install it again, i know it takes some time but it is the best way forward
            • MuneerJahangeer
              MuneerJahangeer
              5 Posts
              ACCEPTED ANSWER

              Re: WID 7.0 Installation Error

              ‏2010-07-22T09:13:13Z  in response to JaspreetSingh
              Thank you for your time jas...
              • MuneerJahangeer
                MuneerJahangeer
                5 Posts
                ACCEPTED ANSWER

                Re: WID 7.0 Installation Error

                ‏2010-07-22T13:22:46Z  in response to MuneerJahangeer
                Later on researching the issue, I finally found a solution for "IBM webshpere process server and ibm websphere integration developer cannot coexist in the same package group".

                Issue Faced:

                I installed All the pre-reqs (Installation Manager, Integration Developer and Application Server) in my machine.

                Later I tried installing Test Environment, it has allowed upto the License agreement. After that, it throws an error "IBM webshpere process server and ibm websphere integration developer cannot coexist in the same package group"

                Problem:

                Package Group name contain only IBM WEBSPHERE INTEGRATION SERVER BUT NOT APPLICATION SERVER. (we need both in the package group name)

                Solution:

                1. Open the shortcut "IBM Installtion Manager"
                2. Click "Install" Icon, select next -> click Repository link
                3. It will take you to the repository page.
                4. Add the repository.config file from ..\WID7.0\WTE_Disk\repository.
                5. Add another repository.config file from C:\program files\ibm\Installation Manager\eclipse
                6. Click Test connection for successfull connection.
                7. Exit and Click import Icon.
                8. Select the default directory location to C:\program files\ibm\WID7_WTE\runtimes\bi_v7.
                9. Click next and import it.
                10. Now, you can able to install Websphere Test Environment without any issue.
                • devSakthi
                  devSakthi
                  5 Posts
                  ACCEPTED ANSWER

                  Re: WID 7.0 Installation Error

                  ‏2010-09-08T07:42:37Z  in response to MuneerJahangeer
                  Hi,

                  I have installed the WID7, after that when I tried to install the Application Server through launchpad, progress bar is keep on running only.
                  But i did not get any error message as well as successful message also.
                  How can i install the application server before installing the TestEnvironment. Kindly help me on this.
                  • SystemAdmin
                    SystemAdmin
                    6089 Posts
                    ACCEPTED ANSWER

                    Re: WID 7.0 Installation Error

                    ‏2010-09-11T02:57:09Z  in response to devSakthi
                    devSakthi , when you install app server, progress bar does not not move. after some time it will say success message. You can see a note saying "progress bar will not move" down the progress it self when you install.
                    • devSakthi
                      devSakthi
                      5 Posts
                      ACCEPTED ANSWER

                      Re: WID 7.0 Installation Error

                      ‏2010-09-16T03:15:40Z  in response to SystemAdmin
                      Hi Sag Muru

                      Thanks for your response. But i did not get any success message or failure messages. The launchpad with progression bar window is in same status.How can I confirm that AppServer is installed in that case. Because after 4 to 5 hrs when tried to install the process server through installation manager its showing Websphere Integration Developer and Webspher process server cannot coexist same package group. Please help me in this.
                • soorajiyer
                  soorajiyer
                  1 Post
                  ACCEPTED ANSWER

                  Re: WID 7.0 Installation Error

                  ‏2010-09-13T09:56:00Z  in response to MuneerJahangeer
                  Thanks muneerjahangeer. Your steps solved the issue for us!
                • ashisbx
                  ashisbx
                  5 Posts
                  ACCEPTED ANSWER

                  Re: WID 7.0 Installation Error

                  ‏2011-01-20T00:29:50Z  in response to MuneerJahangeer
                  Thanks a lot MuneerJahangeer for the valuable information.
                  I was stuck up with the same issue until I read ur comments.
                  Also during my research I found that this is the Ist troubleshooting point mentioned IBM Infocenter for WID 7.0.
                  Check this out: http://publib.boulder.ibm.com/infocenter/dmndhelp/v7r0mx/index.jsp?topic=/com.ibm.wbit.help.inst.doc/topics/t_trouble.html
                • HY47_Michelle_Bhaal
                  HY47_Michelle_Bhaal
                  1 Post
                  ACCEPTED ANSWER

                  Re: WID 7.0 Installation Error

                  ‏2011-05-23T01:43:09Z  in response to MuneerJahangeer
                  This doesn't work for me. I get an error saying that the repository for the Installation Manager is not connected.
                  The following repositories are not connected:

                  -C:\work\bin\IBM\Installation Manager\eclipse

                  Repository expected to be an install package for Installation Manager, but repository property RequireContext does not contain expected value:
                  RequireContext=InstallKit:im.version=<display version of installable IM>, im.internal.version=<internal version of IM> , admin=<admin install command>, user=<user install command>.

                  Attempting the import anyway I get a message saying that the directory has already been imported so the final Import button is never activated.

                  The installation of the Test Environment still fails with the same error.
                  • SystemAdmin
                    SystemAdmin
                    6089 Posts
                    ACCEPTED ANSWER

                    Re: WID 7.0 Installation Error

                    ‏2011-11-08T22:45:17Z  in response to HY47_Michelle_Bhaal
                    Have you tried the trouble shooting page, mentioned by ashisbx?
                    http://publib.boulder.ibm.com/infocenter/dmndhelp/v7r0mx/index.jsp?topic=/com.ibm.wbit.help.inst.doc/topics/t_trouble.html

                    I got the same issue, fixed it by importing the WAS installation.

                    basically, if you have got WAS installed correctly, then you need

                    "Open the Installation Manager from the Start Menu, select Import and work through the Installation Manager GUI to import WebSphere Application Server."

                    After that, you should be able to install process server within the WAS package group.
  • Mittal1985
    Mittal1985
    9 Posts
    ACCEPTED ANSWER

    Re: WID 7.0 Installation Error

    ‏2012-12-29T02:39:08Z  in response to reachman_2009
    Hi All

    In addition to what Jahangir has suggested, I followed below steps to resolve this error.
    First, make sure you have installed Installation Manager,WID and WAS. WAS can be separately installed using install.exe present in ..\WTE_Disk\WAS_Win32\WAS.

    After this, open Installation manager,click on import. Give installation directory path as the path where you ave installed the WAS. probably it will be C:\IBM\WebSphere\AppServer

    Now follow the steps what jahangir has mentioned i.e. give the path of repository.config in installation manager and then go ahead with installation. It should solve the problem.

    Cheers